Bug 227324 - irc/hexchat: Update to 2.14.1
Summary: irc/hexchat: Update to 2.14.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-06 13:35 UTC by Ashish SHUKLA
Modified: 2018-04-13 13:12 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (pkubaj)
pkubaj: maintainer-feedback+


Attachments
Update diff (13.78 KB, patch)
2018-04-06 13:35 UTC, Ashish SHUKLA
no flags Details | Diff
Update diff (14.91 KB, patch)
2018-04-07 04:04 UTC, Ashish SHUKLA
no flags Details | Diff
Update diff (15.71 KB, patch)
2018-04-07 04:06 UTC, Ashish SHUKLA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ashish SHUKLA freebsd_committer 2018-04-06 13:35:44 UTC
Created attachment 192287 [details]
Update diff

- Update to 2.14.1
- Add dependency on iso-codes, and meson (new build system)
- Remove OPTIONS: NLS SOCKS
- Remove hardcoded CA bundle path in patch with a variable replaced
  at runtime.
Comment 1 Piotr Kubaj freebsd_committer 2018-04-06 17:01:57 UTC
(In reply to Ashish SHUKLA from comment #0)
In Poudriere with 10.4-RELEASE, I get:
===>  Configuring for hexchat-2.14.1
The Meson build system
Version: 0.45.1
Source dir: /wrkdirs/usr/ports/irc/hexchat/work/hexchat-2.14.1
Build dir: /wrkdirs/usr/ports/irc/hexchat/work/hexchat-2.14.1/_build
Build type: native build
Project name: hexchat
Native C compiler: cc (clang 3.4.1 "FreeBSD clang version 3.4.1 (tags/RELEASE_34/dot1-final 208032) 20140512")
Appending CFLAGS from environment: '-O2 -pipe  -fstack-protector -fno-strict-aliasing'
Appending LDFLAGS from environment: '  -fstack-protector'
Appending CPPFLAGS from environment: '-I/usr/local/include'
Build machine cpu family: x86_64
Build machine cpu: x86_64
Found pkg-config: /usr/local/bin/pkgconf (1.4.2)
Native dependency gio-2.0 found: YES 2.50.3
Native dependency gmodule-2.0 found: YES 2.50.3

meson.build:22:2: ERROR: Native dependency 'openssl' not found
Comment 2 Ashish SHUKLA freebsd_committer 2018-04-06 17:35:04 UTC
(In reply to Piotr Kubaj from comment #1)

Interesting. I tested with LibreSSL on 11.x. I'll find a 10.x jail, and try it there, and get back to you.

Thanks!
Comment 3 Ashish SHUKLA freebsd_committer 2018-04-07 04:04:46 UTC
Created attachment 192301 [details]
Update diff

As I don't have a 10.x host, I haven't been able to test this, but I think it fixes the underlying problem with detecting OpenSSL.

Could you please try it ?

HTH
Comment 4 Ashish SHUKLA freebsd_committer 2018-04-07 04:06:56 UTC
Created attachment 192302 [details]
Update diff

Sorry, missed a file from the previous diff. Please give this diff a try.

Thanks!
Comment 5 Piotr Kubaj freebsd_committer 2018-04-07 14:22:30 UTC
The patch didn't apply cleanly:
U         Makefile
U         distinfo
Skipped missing target: 'files/patch-meson.build'
Skipped missing target: 'files/patch-meson__options.txt'
A         files/patch-plugins_fishlim_meson.build
U         files/patch-src__common__server.c
D         files/patch-src__common__ssl.c
U         pkg-plist
Summary of conflicts:
  Skipped paths: 2

And I still get the same error:
The Meson build system
Version: 0.45.1
Source dir: /wrkdirs/usr/ports/irc/hexchat/work/hexchat-2.14.1
Build dir: /wrkdirs/usr/ports/irc/hexchat/work/hexchat-2.14.1/_build
Build type: native build
Project name: hexchat
Native C compiler: cc (clang 3.4.1 "FreeBSD clang version 3.4.1 (tags/RELEASE_34/dot1-final 208032) 20140512")
Appending CFLAGS from environment: '-O2 -pipe  -fstack-protector -fno-strict-aliasing'
Appending LDFLAGS from environment: '  -fstack-protector'
Appending CPPFLAGS from environment: '-I/usr/local/include'
Build machine cpu family: x86_64
Build machine cpu: x86_64
Found pkg-config: /usr/local/bin/pkgconf (1.4.2)
Native dependency gio-2.0 found: YES 2.50.3
Native dependency gmodule-2.0 found: YES 2.50.3

meson.build:22:2: ERROR: Native dependency 'openssl' not found
Comment 6 Ashish SHUKLA freebsd_committer 2018-04-07 16:47:23 UTC
It seems to apply fine for me:


    /tmp λ wget 'https://bz-attachments.freebsd.org/attachment.cgi?id=192302&action=diff&format=raw&headers=1'
    --2018-04-07 22:14:12--  https://bz-attachments.freebsd.org/attachment.cgi?id=192302&action=diff&format=raw&headers=1
    Loaded CA certificate '/etc/ssl/cert.pem'
    Resolving bz-attachments.freebsd.org (bz-attachments.freebsd.org)... 8.8.178.110, 2001:1900:2254:206a::50:0
    Connecting to bz-attachments.freebsd.org (bz-attachments.freebsd.org)|8.8.178.110|:443... connected.
    HTTP request sent, awaiting response... 200 OK
    Cookie coming from bz-attachments.freebsd.org attempted to set domain to bugs.freebsd.org
    Length: unspecified [text/plain]
    Saving to: ‘attachment.cgi?id=192302&action=diff&format=raw&headers=1’
    
    attachment.cgi?id=192302&action     [   <=>                                                ]  13.58K  28.6KB/s    in 0.5s    
    
    2018-04-07 22:14:15 (28.6 KB/s) - ‘attachment.cgi?id=192302&action=diff&format=raw&headers=1’ saved [13911]
    
    /tmp λ svn co svn://svn.freebsd.org/ports/head/irc/hexchat
    A    hexchat/Makefile
    A    hexchat/distinfo
    A    hexchat/files
    A    hexchat/files/patch-src__common__ssl.c
    A    hexchat/files/patch-src__common__server.c
    A    hexchat/files/pkg-message.in
    A    hexchat/pkg-plist
    A    hexchat/pkg-descr
    Checked out revision 466756.
    /tmp λ cd hexchat 
    /tmp/hexchat λ svn patch ../attachment.cgi\?id=192302\&action=diff\&format=raw\&headers=1 
    U         Makefile
    U         distinfo
    A         files/patch-meson.build
    A         files/patch-meson__options.txt
    A         files/patch-plugins_fishlim_meson.build
    U         files/patch-src__common__server.c
    D         files/patch-src__common__ssl.c
    U         pkg-plist

HTH
Comment 7 Piotr Kubaj freebsd_committer 2018-04-12 17:43:07 UTC
Seems OK.
Comment 8 Ashish SHUKLA freebsd_committer 2018-04-12 18:10:58 UTC
(In reply to Piotr Kubaj from comment #7)

Thank you. I'll take care of committing it after work.
Comment 9 commit-hook freebsd_committer 2018-04-13 13:11:12 UTC
A commit references this bug:

Author: ashish
Date: Fri Apr 13 13:11:08 UTC 2018
New revision: 467239
URL: https://svnweb.freebsd.org/changeset/ports/467239

Log:
  - Update to 2.14.1
  - Add dependency on iso-codes, and meson (new build system)
  - Remove OPTIONS: NLS SOCKS
  - Remove hardcoded CA bundle path in patch with a variable
    replaced at post-patch
  - Add workaround for detecting system's OpenSSL version
  - Update WWW

  PR:		227324
  Approved by:	Piotr Kubaj <pkubaj at anongoth dot pl> (maintainer)

Changes:
  head/irc/hexchat/Makefile
  head/irc/hexchat/distinfo
  head/irc/hexchat/files/patch-meson.build
  head/irc/hexchat/files/patch-meson__options.txt
  head/irc/hexchat/files/patch-plugins_fishlim_meson.build
  head/irc/hexchat/files/patch-src__common__server.c
  head/irc/hexchat/files/patch-src__common__ssl.c
  head/irc/hexchat/pkg-descr
  head/irc/hexchat/pkg-plist
Comment 10 Ashish SHUKLA freebsd_committer 2018-04-13 13:12:26 UTC
Committed. Thanks!